Extending Qt Creator Manual | BaseHoverHandler

Extending Qt Creator Manual 4.3.0

# BaseHoverHandler Class

(TextEditor::BaseHoverHandler)

- List of all members, including inherited members

## Public Functions

| BaseHoverHandler()
| ~BaseHoverHandler()
int | checkToolTip(TextEditorWidget *widget, int pos)
QString | contextHelpId(TextEditorWidget *widget, int pos)
int | priority() const
void | showToolTip(TextEditorWidget *widget, const QPoint &point, int pos)

## Protected Functions

void | appendToolTip(const QString &extension)
virtual void | decorateToolTip()
bool | isDiagnosticTooltip() const
const HelpItem & | lastHelpItemIdentified() const
virtual void | operateTooltip(TextEditorWidget *editorWidget, const QPoint &point)
void | setIsDiagnosticTooltip(bool isDiagnosticTooltip)
void | setLastHelpItemIdentified(const HelpItem &help)
void | setPriority(int priority)
void | setToolTip(const QString &tooltip)
const QString & | toolTip() const

## Member Function Documentation

### BaseHoverHandler::BaseHoverHandler()

Default constructs an instance of BaseHoverHandler.

### BaseHoverHandler::~BaseHoverHandler()

Destroys the instance of BaseHoverHandler.

### `[protected]` void BaseHoverHandler::appendToolTip(const QString &extension)

### int BaseHoverHandler::checkToolTip(TextEditorWidget *widget, int pos)

### QString BaseHoverHandler::contextHelpId(TextEditorWidget *widget, int pos)

### `[virtual protected]` void BaseHoverHandler::decorateToolTip()

### `[protected]` bool BaseHoverHandler::isDiagnosticTooltip() const

See also setIsDiagnosticTooltip().

### `[protected]` const HelpItem &BaseHoverHandler::lastHelpItemIdentified() const

See also setLastHelpItemIdentified().

### `[virtual protected]` void BaseHoverHandler::operateTooltip(TextEditorWidget *editorWidget, const QPoint &point)

### int BaseHoverHandler::priority() const

See also setPriority().

### `[protected]` void BaseHoverHandler::setIsDiagnosticTooltip(bool isDiagnosticTooltip)

See also isDiagnosticTooltip().

### `[protected]` void BaseHoverHandler::setLastHelpItemIdentified(const HelpItem &help)

See also lastHelpItemIdentified().

### `[protected]` void BaseHoverHandler::setPriority(int priority)

See also priority().

### `[protected]` void BaseHoverHandler::setToolTip(const QString &tooltip)

See also toolTip().

### void BaseHoverHandler::showToolTip(TextEditorWidget *widget, const QPoint &point, int pos)

### `[protected]` const QString &BaseHoverHandler::toolTip() const

See also setToolTip().